Bug 234714 - D620: FC7T3 network card becomes eth1
D620: FC7T3 network card becomes eth1
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
bzcl34nup
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-31 14:43 EDT by Bernd Bartmann
Modified: 2008-05-06 21:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:23:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of dmesg (40.48 KB, text/plain)
2007-03-31 14:44 EDT, Bernd Bartmann
no flags Details
output of lspci -v (7.05 KB, text/plain)
2007-03-31 14:44 EDT, Bernd Bartmann
no flags Details

  None (edit)
Description Bernd Bartmann 2007-03-31 14:43:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.8.1.2) Gecko/20070219 Firefox/2.0.0.2

Description of problem:
The broadcom network card in my DELL D620 laptop gets eth1 in FC7T3 (also with todays rawhide kernel). This was not the case in FC7T2. This is the only network card in the system besides the WLAN interface.

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. run FC7T3 on a DELL D620
2.
3.

Actual Results:


Expected Results:


Additional info:
Comment 1 Bernd Bartmann 2007-03-31 14:44:10 EDT
Created attachment 151356 [details]
output of dmesg
Comment 2 Bernd Bartmann 2007-03-31 14:44:48 EDT
Created attachment 151357 [details]
output of lspci -v
Comment 3 Pete Zaitcev 2007-03-31 17:25:03 EDT
Tools have to add HWADDR into /etc/sysconfig/network-scripts/ifcfg-XXXX,
and create all of them, not just the eth0. This way scripts assign names
correctly. The /etc/mactab does not work anymore in all cases with the
transition away from calling nameif in scripts.
Comment 4 Harald Hoyer 2007-04-05 11:13:52 EDT
HWADDR can be configured in s-c-network. (Bind to MAC Address)
Comment 5 Bernd Bartmann 2007-04-05 12:38:06 EDT
Have you actually read the bug report???

There is only ONE network card in the laptop. This has always been eth0. There
is no need whatsoever that it suddenly becomes eth1 when there then is no eth0
at all.
Comment 6 Harald Hoyer 2007-04-10 04:24:43 EDT
> This is the only network card in the system besides the WLAN interface.

so, you have a WLAN interface, which becomes eth0 ?
Comment 7 Bernd Bartmann 2007-04-10 12:36:47 EDT
No, I have ONE LAN card (Broadcom using the tg3 driver) that is detected as eth0
first but then suddenly becomes eth1. See the dmesg output posted earlier.

There is also a WLAN card (wlan0 / wmaster0 Intel 3945) in the laptop that can
be switched off. Regardless if the WLAN interface is switched off or on then LAN
card  always becomes eth1.
Comment 8 Bug Zapper 2008-04-03 19:52:15 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 9 Bug Zapper 2008-05-06 21:23:13 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.